"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseVersion = void 0;
const node_child_process_1 = require("node:child_process");
function execCommandOutput(command) {
    return (0, node_child_process_1.execSync)(command, { stdio: ['ignore', 'pipe', 'ignore'] })
        .toString()
        .trim();
}
function parseVersion(command, regex) {
    const version = execCommandOutput(command);
    const match = version.match(regex);
    if (!match) {
        throw new Error(`Unable to parse version: ${version}`);
    }
    return match[1];
}
exports.parseVersion = parseVersion;
//# sourceMappingURL=parse-version.js.map