"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateAnchorVersion = void 0;
const parse_version_1 = require("./parse-version");
const requiredVersion = '0.30.0';
function getAnchorVersion() {
    try {
        return (0, parse_version_1.parseVersion)('anchor --version', /anchor-cli (.*)/);
    }
    catch (error) {
        return undefined;
    }
}
function validateAnchorVersion() {
    const version = getAnchorVersion();
    return {
        requiredVersion,
        valid: version === requiredVersion,
        version,
    };
}
exports.validateAnchorVersion = validateAnchorVersion;
//# sourceMappingURL=validate-anchor-version.js.map