"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateProjectName = void 0;
const fs_1 = require("fs");
function validateProjectName(name) {
    // Name must be a valid directory name
    if (!/^[a-z0-9_-]+$/i.test(name)) {
        return 'Please enter a valid directory name (alphanumeric characters and dashes only)';
    }
    // Name must be at least 1 character long
    if (name.length < 1) {
        return 'Please enter at least 1 character';
    }
    // Check if the directory already exists
    if ((0, fs_1.existsSync)(name)) {
        return 'Directory already exists';
    }
}
exports.validateProjectName = validateProjectName;
//# sourceMappingURL=validate-project-name.js.map